Name: WSoundServer
Version: 0.4.0
Release: alt11

Summary: Window Maker sound server
Group: Graphical desktop/Window Maker
License: modified BSD-license

Packager: Sir Raorn <raorn@altlinux.ru>

# Upstream is dead, sources are patched
Source: %name-%version.tar.bz2
Source1: WMSound
Source2: WSoundServer.menu

PreReq: WindowMaker
Obsoletes: wmsound

# Automatically added by buildreq on Wed Jul 05 2006
BuildRequires: esound-devel libdockapp-devel libICE-devel libWINGs-devel libXext-devel libXpm-devel

%description
WSoundServer is a completely from scratch rewritten sound server
written for the Window Maker window manager.

%package devel
Summary: Libraries, includes and other files to develop WSoundServer applications
Group: Development/C
Requires: %name = %version-%release

%description devel
This packages contains the libraries, include and other files
you can use to develop WSoundServer applications.

%prep
%setup -q

%build
autoreconf -isv
export lt_cv_prog_cc_static_works=no
%configure \
	--sysconfdir=%_x11sysconfdir/WindowMaker \
	--enable-shared \
	--disable-static \
	--enable-esd
%make_build

%install
%__mkdir_p %buildroot{%_x11sysconfdir/WindowMaker,%_menudir,%_datadir/WindowMaker/{Sounds,SoundSets}}

%make_install DESTDIR=%buildroot install

%__install -m644 -p %SOURCE1 %buildroot%_x11sysconfdir/WindowMaker
%__install -m644 -p %SOURCE2 %buildroot%_menudir/%name

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files
%doc README AUTHORS COPYING INSTALL ChangeLog
%_x11sysconfdir/WindowMaker/*
%_libdir/*.so.*
%_bindir/*
%exclude %_bindir/get-wsound-flags
%_man1dir/*
%_menudir/%name
%dir %_datadir/WindowMaker/Sounds
%dir %_datadir/WindowMaker/SoundSets

%files devel
%_bindir/get-wsound-flags
%_libdir/*.so
%_includedir/*

%changelog
* Wed Jul 05 2006 Sir Raorn <raorn@altlinux.ru> 0.4.0-alt11
- Built with libWUtil instead of libWINGs
- Fixed link
- Fixed warnings
- Fixed some memleaks
- Added %_datadir/WindowMaker/{Sounds,SoundSets} directories
- Hardcoded global config path to %_x11sysconfdir/WindowMaker
- PreReg'd WindowMaker because of dirs (unusable with other WMs)
- Relocated package to from /usr/X11R6 to /usr
- get-wsound-flags moved to -devel
- Updated buildrequires

* Sat May 21 2005 Alexey Voinov <voins@altlinux.ru> 0.4.0-alt10
- rebuild with new libWINGs.so

* Wed Apr 13 2005 Alexey Voinov <voins@altlinux.ru> 0.4.0-alt9
- rebuild with new libdockapp

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.0-alt8.1
- Rebuilt with libtiff.so.4.

* Sun Jan 11 2004 Alexey Voinov <voins@altlinux.ru> 0.4.0-alt8
- rebuild without libPropList [nopl patch]
- *.la removed
- buildreq fixed

* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 0.4.0-alt7
- made buildable
- cleanup spec
- rebuild with gcc3

* Sat Aug 10 2002 Alexey Voinov <voins@voins.program.ru> 0.4.0-alt6
- fixed BuildRequires (thanks to pavel nikitin <np@seman.nsu.ru> for
  reporting)
- spec cleanup

* Sat Jun  9 2001 Alexey Voinov <voins@voins.program.ru>
- menu rearranged
- conditional NoSource added.

* Wed Apr 18 2001 Alexey Voinov <voins@voins.program.ru>
- Spring2001 build
- patch to compile with new libaudiofile
- menu added

* Fri Feb 16 2001 Alexey Voinov <voins@voins.program.ru>
- spec cleanup
- version 0.4.0

* Sat Jul 17 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
  [WSoundServer-0.1.1]
  Initial build

